 /*Google Fonts*/
body{
	font-family: 'Open Sans', sans-serif;
}
/*CSS Reset*/
{
	/*Changes the amount of space between "border" and its surrounding element*/
	margin: 0;
	/*changes the amount of space between "border" and "content" of an element*/
	padding: 0;
	/*border and padding is included in the total length of an element*/
	box-sizing: border-box;
}

nav{
	/*shorthand property
		padding value is added to all sides

		pading-top: 0.8rem;
		padding-bottom:0.8rem ;
		padding-left: 0.8rem;
		padding-right:0.8rem ;

		padding: 0.8rem, 0.8rem, 0.8rem, 0.8rem;

		top and bottom
		padding:  0.8rem, 0.8rem, 0rem;

		left and right
		padding: 0rem, 0.8rem, 0.8rem;

	*/
	padding: 0.8rem;

	/*
		2 rem (root epheremal unit) === 32 pixels
		creates a space between nav and intro section
	*/

	margin-bottom: 2rem;

	border-bottom: 1px solid gray;

}

nav ul{
	/*
				removing bullet points
	*/
	list-style-type: none;
}

nav .nav, .nav-logo {
	/*creates space between the ul and the nav element*/
	margin: 0.5rem;

	/*changes elements to inline elemets*/
	display: inline;
}

/*intro section*/
#intro {
				/*
								creates a space between the contents of the intro section and its border

								shorthand - top, left and right, bottom
								padding: 2rem 10% 3 rem;
				*/
				padding-left: 10%;
				padding-right: 10%;
				padding-top: 2rem;
				padding-bottom: 3rem;

				text-align: center;
}

.header {
					/*best used when horizontally aligning text instead of using margin and padding*/
					text-align: center;
}

#intro h2, #intro p{
				/*creates a space between the contents of the intro section*/
				margin-bottom: 1rem;
}

#intro button{
				color: white;
				font-weight: bold;
				background-color: #c2195b;
				border-radius: 25px;
				font-size: 1rem;
				/*creates a space between the button text and the border*/
				padding: 1rem;
}

#succeed-info {
				/*exact same properties as the intro section but can have its own 
				CSS rule for flexibility*/
				padding: 2rem 10% 3rem;
}

#succeed-info h2{
					/*creates a space between the header and the card section*/
					margin-bottom: 1rem;
}

#succeed-info h3{
					text-align: center;
					/*creates a space between the h3 tags and the paragraph tags*/
					margin-bottom: 1rem;


}

#succeed-info .card{
				/*allows the cards to appear beside each other*/
				display: inline-block;

				/*aligns elements with the tallest element in line
						used with the inline-block value
				*/
				vertical-align: top;

				/*allows cards to have equal height that adjust with the content*/
				min-height: 175px;

				/*measurement is based on equally dividing the parent's container width*/
				width: 30%;

				/*creates a horizontal spaceing between cards*/
				margin-left: 0.5rem;
				 margin-right: 0.5rem;

}

	footer{
		/*creates a space between the span tags and the footer border*/
		padding: 0.7rem;
	}

	footer span{
				/*short hand - top bottom, left right
									/*margin:  0 0 0.5rem;*/

					margin-left: 0.5rem;
					margin-right: 0.5rem;
	}

	/*

				ACTIVITY SOLUTION

	*/


	#pre-footer{
		background-color: #002540;
		color: white;
	}

	#pre-footer div{
		display: inline-block;
		width: 23%;
		vertical-align: top;
	}
